/* for grid view file actions */
div.meta h3 {
  font-size: 14px;
  font-size: .8rem;
  padding: 10px 0 2px 11px;
  font-weight: 400;
  overflow: hidden;
  width: 150px;
  color: #222;
  text-overflow: ellipsis;
}
div.meta button {
  display: block;
  position: absolute;
  right: 0;
  bottom: 0;
  z-index: 3000;
  height: 36px;
  width: 50px;
  padding: 0;
  border: 0;
  cursor: pointer;
  text-indent: -9999em;
  background-color: transparent;
}
div.meta ul.file-actions {
  position: absolute;
  height: 36px;
  width: 100%;
  top: 0;
  display: none;
  z-index: 4000;
  background: #227ecb;
  overflow: hidden;
}
div.meta .file-actions > li {
  height: 36px;
  width: 40px;
  float: left;
  position: relative;
  margin-left: 1px;
  z-index: 3000;
}
div.meta ul.file-actions > li > a {
  display: block;
  height: 40px;
  text-indent: -9999em;
}
div.meta button em,
div.meta ul.file-actions > li > a em {
  display: block;
  width: 31px;
  height: 31px;
  margin: 3px auto 0 auto;
}
div.meta ul.file-actions > li a {
  display: block;
  text-indent: -9999em;
  width: 40px;
  height: 36px;
  background-color: transparent;
  background-repeat: no-repeat;
  background-position: 11px -3px;
}
div.meta .file-actions li.close {
  position: absolute;
  right: 0; 
  width: 50px;
}
div.meta .file-actions li.close em {
  position: absolute;
  right: 3px;
}

div.meta .file-actions li.close a { width: 50px; }

/* sprite icons */
div.meta button em {
  position: absolute;
  right: 4px;
  top: 1px;
  background-position: -30px -1051px;
}
div.meta ul.file-actions > li.close a em { background-position: -30px -1020px; }
div.meta ul.file-actions > li.delete a em { background-position: -1px -990px; }
div.meta ul.file-actions > li.move a em { background-position: 0 -960px; }
div.meta ul.file-actions > li.download a em { background-position: -30px -990px; }
div.meta ul.file-actions > li.share a em { background-position: 0 -1020px; }

/* active */
li.file_actions_active div.meta .file-actions { display: block; }
li.file_actions_active div.meta button { background: transparent; }
li.file_actions_active div.meta button em { background-image: none; }
li.file_actions_active div.inset { background-color: #227ECB; }
li.file_actions_active div.folder.inset { background-color: transparent; }

/* batch mode */
div.batch_mode .asset_actions button { display: none; }
div.batch_mode div.asset_actions,
div.batch_mode .folder div.asset_actions { 
  background: #efefef url('/resource/img/bg-asset-actions-batch-select.png') no-repeat 100% 0;
}
div.batch_mode li.selected div.asset_actions { background-position: 100% -36px; }
div.batch_mode li.selected div.folder div.frame { height: 175px; overflow: hidden; }
div.batch_mode li.selected div.asset_actions h3 { 
  color: #fff; 
  font-weight: 700;
}
div.batch_mode li.selected div.asset_actions { background-color: transparent;}    
div.batch_mode a { cursor: default; }
 
/* trashed */   
div.deleted-view a {
  cursor: default; 
}                                    
div.deleted-view a.deleted_view_all {
  cursor: pointer;
}

div.deleted-view.batch_mode .asset_actions button {
  display: block;
  cursor: default;  
} 
div.deleted-view .asset_actions button {  
  display: none;
}   
div.deleted-view .asset_actions button em {  
  background-image: none;       
  top: -5px;
  left: 17px;
}                
div.deleted-view.batch_mode .asset_actions button em { 
  display: block;  
  background-image: url('/resource/img/bg-asset-actions-batch-select.png'); 
  background-position: 100% 0; 
} 
div.deleted-view.batch_mode li.selected .asset_actions button em { 
  background-position: 100% -36px; 
}

/* CSS overrides - using .asset_actions instead of .meta (can merge later) */
.mediaItems li .asset_actions {     
  height: 36px;
  padding: 0;
  background: #F6F6F6;
}

.deleted-view .mediaItems li .asset_actions {  
  background: #fffbd5;
}

div.meta ul.file-actions ul.folder-picker li {
  width: auto;
  height: auto;
}

@media only screen and (max-width: 480px) {
  div.meta .file-actions > li,
  div.meta .file-actions > li a {
    width: 30px; /* when share / download are visible */
  }
}
/* temp hiding of shared and download */
div.meta ul.file-actions li.download,
div.meta ul.file-actions li.share { display: none; }   
   
.mediaItems li.selected .meta,
.mediaItems li.selected .folder .meta {
  color: white;
  background-color: #227ECB;
}


@media only screen and (-webkit-min-device-pixel-ratio: 2){    
  
  div.deleted-view.batch_mode .asset_actions button em { 
    background-size: 36px 72px;  
    background-image: url('/resource/img/bg-asset-actions-batch-select-2x.png');
  }  
  
  div.batch_mode div.asset_actions,
  div.batch_mode .folder div.asset_actions {
    background-size: 36px 72px;
    background-image: url('/resource/img/bg-asset-actions-batch-select-2x.png');
  }  

}